View Issue Details

IDProjectCategoryView StatusLast Update
0000764GT-MP ServerPerformancepublic2018-01-07 12:08
ReporterMarkAtkAssigned Toroot 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.1.7 
Summary0000764: Clients trying to connect get server get 'net error'
DescriptionAll clients trying to connect to the server get a 'net error' right after connecting to a server and connection is dropped immediately. All established clients are not affected. The error occured out of nowhere after the server was running for at least half an hour after the last patch. This is the stack trace.

2017-11-16 20:01:03.4569 | Debug | GameServer | Exception in the Netcode. System.IndexOutOfRangeException: Index was outside the bounds of the array.
  at System.Collections.Generic.Dictionary`2+Enumerator[TKey,TValue].MoveNext () [0x00021] in <77c9551943624fd18301ba6f78a841e5>:0
  at (wrapper dynamic-method) GrandTheftMultiplayer.Shared.VehicleProperties:proto_40 (object,ProtoBuf.ProtoWriter)
  at ProtoBuf.Serializers.CompiledSerializer.ProtoBuf.Serializers.IProtoSerializer.Write (System.Object value, ProtoBuf.ProtoWriter dest) [0x00000] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.RuntimeTypeModel.Serialize (System.Int32 key, System.Object value, ProtoBuf.ProtoWriter dest) [0x00016] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.ProtoWriter.WriteRecursionSafeObject (System.Object value, System.Int32 key, ProtoBuf.ProtoWriter writer) [0x00029] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at (wrapper dynamic-method) GrandTheftMultiplayer.Shared.EntityProperties:proto_39 (object,ProtoBuf.ProtoWriter)
  at ProtoBuf.Serializers.CompiledSerializer.ProtoBuf.Serializers.IProtoSerializer.Write (System.Object value, ProtoBuf.ProtoWriter dest) [0x00000] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.RuntimeTypeModel.Serialize (System.Int32 key, System.Object value, ProtoBuf.ProtoWriter dest) [0x00016] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.ProtoWriter.WriteObject (System.Object value, System.Int32 key, ProtoBuf.ProtoWriter writer) [0x0002d] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at (wrapper dynamic-method) GrandTheftMultiplayer.Shared.ServerMap:proto_85 (object,ProtoBuf.ProtoWriter)
  at ProtoBuf.Serializers.CompiledSerializer.ProtoBuf.Serializers.IProtoSerializer.Write (System.Object value, ProtoBuf.ProtoWriter dest) [0x00000] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.RuntimeTypeModel.Serialize (System.Int32 key, System.Object value, ProtoBuf.ProtoWriter dest) [0x00016] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.TypeModel.SerializeCore (ProtoBuf.ProtoWriter writer, System.Object value) [0x00022] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.TypeModel.Serialize (System.IO.Stream dest, System.Object value, ProtoBuf.SerializationContext context) [0x00010] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Meta.TypeModel.Serialize (System.IO.Stream dest, System.Object value) [0x00000] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at ProtoBuf.Serializer.Serialize[T] (System.IO.Stream destination, T instance) [0x0000d] in <988ef56e5a1b4fc5a59936ca535576a0>:0
  at GrandTheftMultiplayer.Server.GameServer.SerializeBinary (System.Object data) [0x00006] in <edc1ee69ca2d4312a128c9364e7696c4>:0
  at GrandTheftMultiplayer.Server.GameServer.ProcessDataMessage (Lidgren.Network.NetIncomingMessage msg, GrandTheftMultiplayer.Server.Elements.Client client, GrandTheftMultiplayer.Shared.PacketType packetType) [0x04a30] in <edc1ee69ca2d4312a128c9364e7696c4>:0
TagsNo tags attached.

Activities

MarkAtk

2017-11-16 19:22

reporter   ~0001044

This is a udp dump of a client trying to connect: https://hastebin.com/axivavuweh.txt

20:10:44.753448 IP (tos 0x0, ttl 116, id 25583, offset 0, flags [none], proto UDP (17), length 713)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 685
    0x0000: 4500 02c9 63ef 0000 7411 fbb8 584b 195c E...c...t...XK.\
    0x0010: a484 ce50 e2e2 1193 02b5 6d1f 8300 0040 [email protected]
    0x0020: 1515 4752 414e 4454 4845 4654 4d55 4c54 ..GRANDTHEFTMULT
    0x0030: 4950 4c41 5945 528b e60a 7dbe aff2 4a7f IPLAYER...}...J.
    0x0040: b63f 4308 8102 0000 0a0d 4865 7272 4175 .?C.......HerrAu
    0x0050: 7372 6167 656e 641a 0d48 6572 7241 7573 sragend..HerrAus
    0x0060: 7261 6765 6e64 2024 2806 3001 4a3b 3746 ragend.$(.0.J;7F
    0x0070: 2d37 372d 3745 2d39 352d 3445 2d41 302d -77-7E-95-4E-A0-
    0x0080: 4535 2d35 312d 4641 2d43 322d 3437 2d34 E5-51-FA-C2-47-4
    0x0090: 362d 3937 2d35 462d 3142 2d35 452d 3337 6-97-5F-1B-5E-37
    0x00a0: 2d31 352d 4643 2d35 3252 3c24 3261 2431 -15-FC-52R<$2a$1
    0x00b0: 3024 3335 6749 3371 6532 3374 4c55 5036 0$35gI3qe23tLUP6
    0x00c0: 6d56 5964 5952 474f 5948 5154 4536 646f mVYdYRGOYHQTE6do
    0x00d0: 7a75 4235 4a49 5347 2f6e 4c55 5a7a 6d68 zuB5JISG/nLUZzmh
    0x00e0: 736a 7866 7164 2e5a 0b30 2e31 2e36 3431 sjxfqd.Z.0.1.641
    0x00f0: 2e36 3937 6220 3536 3942 3442 3331 4443 .697b.569B4B31DC
    0x0100: 4139 4537 3032 3544 3139 4638 4436 4544 A9E7025D19F8D6ED
    0x0110: 4142 4235 3037 6ac0 0254 7962 5076 7367 ABB507j..TybPvsg
    0x0120: 6b6e 5433 4e32 4d63 436e 6c57 436a 4539 knT3N2McCnlWCjE9
    0x0130: 7147 3937 6743 7152 5833 304b 4d38 6b6e qG97gCqRX30KM8kn
    0x0140: 2f2f 4146 6a49 594c 4f4f 7774 7274 3263 //AFjIYLOOwtrt2c
    0x0150: 7933 6447 6a73 726b 5635 6746 4e6c 702f y3dGjsrkV5gFNlp/
    0x0160: 7949 664f 6c63 5574 5473 6f58 4a4e 704f yIfOlcUtTsoXJNpO
    0x0170: 6937 7446 5539 6977 4374 7a5a 782b 5430 i7tFU9iwCtzZx+T0
    0x0180: 3637 6134 6657 6455 2b64 422b 7037 5369 67a4fWdU+dB+p7Si
    0x0190: 6632 4e58 477a 3731 3738 5338 3579 6f76 f2NXGz7178S85yov
    0x01a0: 4937 4375 3133 7148 7331 554c 4135 3636 I7Cu13qHs1ULA566
    0x01b0: 424c 5063 706e 565a 444e 5131 7473 3844 BLPcpnVZDNQ1ts8D
    0x01c0: 5773 4a46 5961 5143 374d 7a54 3865 6131 WsJFYaQC7MzT8ea1
    0x01d0: 7a63 3875 774f 3952 5838 4b46 6674 4c6d zc8uwO9RX8KFftLm
    0x01e0: 4a5a 7459 456e 5172 506e 7137 556f 3869 JZtYEnQrPnq7Uo8i
    0x01f0: 3641 6344 5645 5876 6951 3578 2b79 444f 6AcDVEXviQ5x+yDO
    0x0200: 6379 4a39 3650 4c47 3430 6535 6436 3133 cyJ96PLG40e5d613
    0x0210: 4864 2b43 2b63 6763 6970 6755 5070 504f Hd+C+cgcipgUPpPO
    0x0220: 4a65 4950 4a31 4b78 3279 7957 3730 6d43 JeIPJ1Kx2yyW70mC
    0x0230: 4f73 2b67 4633 6f37 3642 4e4f 4362 6e37 Os+gF3o76BNOCbn7
    0x0240: 7479 7462 594d 6d4a 7031 582b 5143 324f tytbYMmJp1X+QC2O
    0x0250: 4b47 4233 574a 682b 5972 3b34 372d 3630 KGB3WJh+Yr;47-60
    0x0260: 2d30 382d 3538 2d35 322d 3734 2d37 372d -08-58-52-74-77-
    0x0270: 3636 2d31 392d 3534 2d33 382d 3744 2d45 66-19-54-38-7D-E
    0x0280: 312d 3237 2d34 422d 4646 2d33 432d 3036 1-27-4B-FF-3C-06
    0x0290: 2d39 332d 3332 7a31 0a0d 536b 6970 496e -93-32z1..SkipIn
    0x02a0: 7472 6f2e 6173 6912 2043 4630 4636 3831 tro.asi..CF0F681
    0x02b0: 3039 3838 3843 4534 3341 4545 3836 3130 09888CE43AEE8610
    0x02c0: 3636 4138 3533 4537 41 66A853E7A
20:10:44.852149 IP (tos 0x0, ttl 64, id 9641, offset 0, flags [none], proto UDP (17), length 108)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe4e5 -> 0xf294!] UDP, length 80
    0x0000: 4500 006c 25a9 0000 4011 705c a484 ce50 E..l%[email protected]\...P
    0x0010: 584b 195c 1193 e2e2 0058 e4e5 8400 0058 XK.\.....X.....X
    0x0020: 0215 4752 414e 4454 4845 4654 4d55 4c54 ..GRANDTHEFTMULT
    0x0030: 4950 4c41 5945 523a 3801 4070 9ee9 3e29 IPLAYER:[email protected]..>)
    0x0040: 22ef 4525 0000 0008 b213 1214 0801 1001 ".E%............
    0x0050: 28c5 0230 d00f 38bc 0540 f403 4832 5001 ([email protected]
    0x0060: 1a0a 302e 312e 3634 302e 3634 ..0.1.640.64
20:10:44.970417 IP (tos 0x0, ttl 116, id 25584, offset 0, flags [none], proto UDP (17), length 37)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 9
    0x0000: 4500 0025 63f0 0000 7411 fe5b 584b 195c E..%c...t..[XK.\
    0x0010: a484 ce50 e2e2 1193 0011 702e 8500 0020 ...P......p.....
    0x0020: 004b ee3f 4300 0000 0000 0000 0000 .K.?C.........
20:10:44.970419 IP (tos 0x0, ttl 116, id 25585, offset 0, flags [none], proto UDP (17), length 34)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 6
    0x0000: 4500 0022 63f1 0000 7411 fe5d 584b 195c E.."c...t..]XK.\
    0x0010: a484 ce50 e2e2 1193 000e a5d6 8100 0008 ...P............
    0x0020: 0001 0000 0000 0000 0000 0000 0000 ..............
20:10:44.970456 IP (tos 0x0, ttl 64, id 9660, offset 0, flags [none], proto UDP (17), length 34)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe49b -> 0xa5d6!] UDP, length 6
    0x0000: 4500 0022 25bc 0000 4011 7093 a484 ce50 E.."%[email protected]
    0x0010: 584b 195c 1193 e2e2 000e e49b 8100 0008 XK.\............
    0x0020: 0001 ..
20:10:44.970468 IP (tos 0x0, ttl 64, id 9661, offset 0, flags [none], proto UDP (17), length 38)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe49f -> 0x9745!] UDP, length 10
    0x0000: 4500 0026 25bd 0000 4011 708e a484 ce50 E..&%[email protected]
    0x0010: 584b 195c 1193 e2e2 0012 e49f 8200 0028 XK.\...........(
    0x0020: 0001 1e23 ef45 ...#.E
20:10:44.984153 IP (tos 0x0, ttl 116, id 25586, offset 0, flags [none], proto UDP (17), length 35)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 7
    0x0000: 4500 0023 63f2 0000 7411 fe5b 584b 195c E..#c...t..[XK.\
    0x0010: a484 ce50 e2e2 1193 000f ddbd 4900 0009 ...P........I...
    0x0020: 0017 0000 0000 0000 0000 0000 0000 ..............
20:10:44.990372 IP (tos 0x0, ttl 64, id 9665, offset 0, flags [none], proto UDP (17), length 36)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe49d -> 0xa07a!] UDP, length 8
    0x0000: 4500 0024 25c1 0000 4011 708c a484 ce50 E..$%[email protected]
    0x0010: 584b 195c 1193 e2e2 0010 e49d 8600 0018 XK.\............
    0x0020: 0049 0000 .I..
20:10:44.998707 IP (tos 0x0, ttl 64, id 9666, offset 0, flags [none], proto UDP (17), length 34)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe49b -> 0x9fd7!] UDP, length 6
    0x0000: 4500 0022 25c2 0000 4011 708d a484 ce50 E.."%[email protected]
    0x0010: 584b 195c 1193 e2e2 000e e49b 8700 0008 XK.\............
    0x0020: 0000 ..
20:10:44.999456 IP (tos 0x0, ttl 64, id 9667, offset 0, flags [none], proto UDP (17), length 43)
    gta-game-01.4499 > CLIENT_IP.58082: [bad udp cksum 0xe4a4 -> 0xb30c!] UDP, length 15
    0x0000: 4500 002b 25c3 0000 4011 7083 a484 ce50 E..+%[email protected]
    0x0010: 584b 195c 1193 e2e2 0017 e4a4 8700 0050 XK.\...........P
    0x0020: 0009 4e65 7420 4572 726f 72 ..Net.Error
20:10:45.083668 IP (tos 0x0, ttl 116, id 25587, offset 0, flags [none], proto UDP (17), length 97)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 69
    0x0000: 4500 0061 63f3 0000 7411 fe1c 584b 195c E..ac...t...XK.\
    0x0010: a484 ce50 e2e2 1193 004d cc58 0900 0000 ...P.....M.X....
    0x0020: 021e 3b00 0000 0000 0000 0001 0000 9b9f ..;.............
    0x0030: e042 7f46 f3c4 c01d a941 2c3c 2dc3 36d9 .B.F.....A,<-.6.
    0x0040: b5bb 90f7 05bb a9d0 51c0 6400 0063 9271 ........Q.d..c.q
    0x0050: a201 0000 00b7 e9fc c38b 8ba6 c4aa 085d ...............]
    0x0060: 43 C
20:10:45.085184 IP (tos 0x0, ttl 116, id 25588, offset 0, flags [none], proto UDP (17), length 46)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 18
    0x0000: 4500 002e 63f4 0000 7411 fe4e 584b 195c E...c...t..NXK.\
    0x0010: a484 ce50 e2e2 1193 001a 1756 2b00 0068 ...P.......V+..h
    0x0020: 001f 0800 0000 0000 0000 abc1 3029 ............0)
20:10:45.089180 IP (tos 0x0, ttl 116, id 25589, offset 0, flags [none], proto UDP (17), length 38)
    CLIENT_IP.58082 > gta-game-01.4499: [udp sum ok] UDP, length 10
    0x0000: 4500 0026 63f5 0000 7411 fe55 584b 195c E..&c...t..UXK.\
    0x0010: a484 ce50 e2e2 1193 0012 bc5e 8200 0028 ...P.......^...(
    0x0020: 0001 a80c 4043 0000 0000 0000 0000 [email protected]........

root

2017-11-26 21:40

developer   ~0001083

Should be fixed in the next update

Issue History

Date Modified Username Field Change
2017-11-16 19:13 MarkAtk New Issue
2017-11-16 19:22 MarkAtk Note Added: 0001044
2017-11-26 21:40 root Assigned To => root
2017-11-26 21:40 root Status new => resolved
2017-11-26 21:40 root Resolution open => fixed
2017-11-26 21:40 root Fixed in Version => 0.1.6
2017-11-26 21:40 root Note Added: 0001083
2018-01-07 12:08 DurtyFree Fixed in Version 0.1.6 => 0.1.7